@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/*変更依頼 5)のbtn オレンジ*/

.o-btn__text span {
    background-color: yellow;
}
@media (max-width: 768px) {
.o-btn__text{
    font-size: 15px;
    margin-bottom: 0.4em!important;
    margin-top: 1em;
}
}
@media (min-width: 769px) {
.o-btn__text{
    font-size: 16px;
    margin-bottom: 1.8em;
    margin-top: 1em;
}
	
}
.has-swl-deep-01-color {
    color: #b2415d;
}
@media (min-width: 769px) {
    .has-swl-deep-01-color {
        margin-top: 32px;
        margin-bottom: 0 !important;
    }
}
.has-black-color {
    color: #000000!important;
}
.orangeBtn .btn{        
	position: relative;
    display: block;
    width: 81.99955%;
    height: 56px;
   line-height: 2.2;
    margin-inline: auto;
    font-size: 14.4px !important;
    letter-spacing: 0.08em;
    font-weight: 700;
    text-align: center;
    color: #fff;
    border-radius: 50px;
    background-color: #ff7f00;
    border-color: #ff7f00;
    padding: 8px 20px 12px;
    overflow: hidden;
    -webkit-animation: elm 1.7s infinite;
    animation: elm 1.7s infinite;
    -webkit-box-shadow: 0 2px 0 #db5a0a;
	box-shadow: 0 2px 0 #db5a0a;    
	cursor: pointer;
}

@-webkit-keyframes elm {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-box-shadow: 0 2px 0 #db5a0a;
    box-shadow: 0 2px 0 #db5a0a;
  }
  70% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-box-shadow: 0 2px 0 #db5a0a;
    box-shadow: 0 2px 0 #db5a0a;
  }
  80% {
    -webkit-transform: translateY(2px);
    transform: translateY(2px);
    -webkit-box-shadow: none;
    box-shadow: none;
  }
  90% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-box-shadow: 0 2px 0 #db5a0a;
    box-shadow: 0 2px 0 #db5a0a;
  }
  100% {
    -webkit-transform: translateY(2px);
    transform: translateY(2px);
    -webkit-box-shadow: none;
    box-shadow: none;
  }
}

@keyframes elm {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-box-shadow: 0 2px 0 #db5a0a;
    box-shadow: 0 2px 0 #db5a0a;
  }
  70% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-box-shadow: 0 2px 0 #db5a0a;
    box-shadow: 0 2px 0 #db5a0a;
  }
  80% {
    -webkit-transform: translateY(2px);
    transform: translateY(2px);
    -webkit-box-shadow: none;
    box-shadow: none;
  }
  90% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-box-shadow: 0 2px 0 #db5a0a;
    box-shadow: 0 2px 0 #db5a0a;
  }
  100% {
    -webkit-transform: translateY(2px);
    transform: translateY(2px);
    -webkit-box-shadow: none;
    box-shadow: none;
  }
}

@media (max-width: 480px) {
    .btn {
        font-size: 12px;
    }
}

@media (max-width: 480px) {
    .btn {
        font-size: 12px;
    }
}
.rating__table .btn {
    font-size: 12px;
}

.orangeBtn .btn:before {
    content: "";
    display: block;
    width: 30px;
    height: 100%;
    position: absolute;
    top: -180px;
    left: 0;
    background-color: #fff;
    opacity: 0;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    -webkit-animation: reflect 2s ease-in-out infinite;
    animation: reflect 2s ease-in-out infinite;
}

@-webkit-keyframes reflect {
  0% {
    -webkit-transform: scale(0) rotate(45deg);
    transform: scale(0) rotate(45deg);
    opacity: 0;
  }
  80% {
    -webkit-transform: scale(0) rotate(45deg);
    transform: scale(0) rotate(45deg);
    opacity: 0.5;
  }
  81% {
    -webkit-transform: scale(4) rotate(45deg);
    transform: scale(4) rotate(45deg);
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(50) rotate(45deg);
    transform: scale(50) rotate(45deg);
    opacity: 0;
  }
}

@keyframes reflect {
  0% {
    -webkit-transform: scale(0) rotate(45deg);
    transform: scale(0) rotate(45deg);
    opacity: 0;
  }
  80% {
    -webkit-transform: scale(0) rotate(45deg);
    transform: scale(0) rotate(45deg);
    opacity: 0.5;
  }
  81% {
    -webkit-transform: scale(4) rotate(45deg);
    transform: scale(4) rotate(45deg);
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(50) rotate(45deg);
    transform: scale(50) rotate(45deg);
    opacity: 0;
  }
}

*, *:before, *:after {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
	-webkit-text-size-adjust: none;
}

/*変更依頼 6)のbtn 緑*/

.anime-linkbtn {
    text-align: center;
    max-width: 500px;
    display: block;
    width: 100%;
    margin: 0 auto;
}
.anime-box {
    animation: poyopoyo 2s ease-out infinite;
    opacity: 1;
}
@-webkit-keyframes poyopoyo {
  0%, 40%, 60%, 80% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  50%, 70% {
    -webkit-transform: scale(0.95);
    transform: scale(0.95);
  }
}

@keyframes poyopoyo {
  0%, 40%, 60%, 80% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  50%, 70% {
    -webkit-transform: scale(0.95);
    transform: scale(0.95);
  }
}

.anime-linkbtn img {
    max-width: 100%;
    width: 100%;
}


/*変更依頼 2)の目次*/
body.blog_archive #side .info_mokuzi {
    display: none;
}

.info_mokuzi {
    margin-top: 30px;
    background: rgb(250, 250, 250);
}

.mokuzi {
    background: rgb(64, 126, 177);
    display: inline-block;
    margin-right: 8px;
    border-radius: 18px;
    color: rgb(255, 255, 255);
    padding: 2px 12px;
    font-size: 14px;
}

.info_mokuzi .tl {
    font-size: 16px;
    font-weight: 600;
    margin: 0px 0px 15px;
    padding: 20px;
    border-bottom: 1px solid rgb(219, 219, 219);
    color: rgb(64, 126, 177);
}

.blog_area .info_mokuzi ul li {
    font-size: 15px;
    list-style: none;
    margin: 0px 0px 6px;
}

.info_mokuzi ul li.nest {
    padding-left: 25px;
}

.info_mokuzi ol {
    counter-reset: section 0;
    padding: 10px 25px 20px;
    margin: 0px;
}

.info_mokuzi ol > li {
    margin-bottom: 10px;
}

.info_mokuzi ol > li:last-child {
    margin-bottom: 0px;
}

.info_mokuzi ol li::before {
    content: counters(section, "-") ". ";
    counter-increment: section 1;
    font-size: 14px;
    color: rgb(57, 78, 84);
    font-weight: 500;
}

.info_mokuzi ol > li > ol {
    padding: 10px 0px 15px 20px;
    border-bottom: 1px dotted rgb(182, 194, 199);
}

.info_mokuzi ol > li > ol > li {
    margin-bottom: 9px;
}

.info_mokuzi ol > li a {
    color: rgb(51, 51, 51);
    font-size: 15px;
    font-weight: 600!important;
}

.info_mokuzi ol > li > ol > li a {
    color: rgb(72, 72, 72);
    font-weight: 400!important;
    font-size: 14px;
    line-height: 1.6;
}

#main .info_mokuzi .toggle_tl_area {
    position: relative;
    width: 100%;
    outline: 0px;
    cursor: pointer;
}

#main .info_mokuzi .toggle_tl_area .toggle_tl h3 {
    padding-right: 25px;
}

#main .info_mokuzi .toggle_tl {
    display: block;
    position: relative;
    cursor: pointer !important;
    pointer-events: all !important;
}

#main .info_mokuzi .toggle_tl::after {
    content: "";
    display: block;
    position: absolute;
    right: 20px;
    top: 40%;
    width: 8px;
    height: 8px;
    border-top: 2px solid rgb(51, 51, 51);
    border-right: 2px solid rgb(51, 51, 51);
    transition: 0.2s ease-in-out;
    transform: rotate(135deg);
}

#main .info_mokuzi .toggle_tl.open::after {
    transform: rotate(-45deg);
    top: 45%;
}

#main .info_mokuzi .toggle {
    display: none;

}

#main .info_mokuzi .toggle_tl_area {
	margin-bottom: 30px;
}
#side .info_mokuzi {
    margin-bottom: 15px;
    background: rgb(255, 255, 255);
    max-height: 92vh;
    overflow-y: scroll;
}

#side .info_mokuzi .tl {
    font-size: 14px;
}

#side .info_mokuzi ol > li a {
    font-size: 13px;
}

#side .info_mokuzi ol > li > ol > li a {
    font-size: 12px;
}

#side .info_mokuzi ol > li > a.current {
    background-color: rgb(255, 238, 111);
    font-weight: 600;
}

#side .info_mokuzi ol li::before {
    font-size: 12px;
}

#side .info_mokuzi ol {
    padding: 3px 15px 15px;
}

#side .info_mokuzi ol > li > ol > li {
    margin-bottom: 7px;
}

#side .info_mokuzi ol li ol {
    padding: 8px;
}@media screen and (max-width: 480px) {
    .info_mokuzi {
        margin: 0px 20px;
        cursor: pointer;
    }

    .info_mokuzi .tl {
        font-size: 14px;
    }

    .info_mokuzi ol > li a {
        font-size: 14px;
    }

    .info_mokuzi ol > li > ol {
        padding: 15px 0px 15px 10px;
    }

    .info_mokuzi ol > li > ol > li {
        margin-bottom: 10px;
    }

    .info_mokuzi ol > li > ol > li a {
        font-size: 12px;
    }
}


/*テーブルブロックのデフォルト色を変更 */
.wp-block-table thead th {
    background-color: rgb(247, 247, 247);
	border-left: 1px solid rgb(228, 226, 223);
}
.wp-block-table thead {
    border-bottom: 0px solid;
}
.wp-block-table th,
.wp-block-table td {
    border: 1px solid rgb(228, 226, 223) !important;
    padding: 8px;
}


/*サムネイル画像のスタイル*/
.eye-catch-wrap {
    margin: 0 auto;
}
.eye-catch-wrap figure,
.eye-catch-wrap img {
	width: 100%;
}
/*.first-post-image {
    width: 100%;
    height: auto;
    object-fit: cover;
    display: block;
    margin: 0 auto;
}*/
/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}
